## jmeters 0.2.0

=== source/Makefile ===
#  Copyright (C) 2008 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
SHARED = $(PREFIX)/share
PROGRAM = jmeters
VERSION = 0.2.0
DISTDIR = jmeters-$(VERSION)
CPPFLAGS += -O3 -Wall -MMD -MP -DPROGRAM=\"$(PROGRAM)\" -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
#CPPFLAGS += -march=pentium4


all:	jmeters


JMETERS_O = jmeters.o styles.o mainwin.o jclient.o mkimage.o meterwin.o

jmeters:	CPPFLAGS += -ffast-math -I/usr/include/freetype2
jmeters:	LDLIBS += -lsndfile -lclxclient -lclthreads -ljack -lpng -lXft -lX11 -lrt
jmeters:	LDFLAGS += -L/usr/X11R6/lib
jmeters:	$(JMETERS_O)
	g++ $(LDFLAGS) -o $@ $(JMETERS_O) $(LDLIBS)

$(JMETERS_O):
-include $(JMETERS_O:%.o=%.d)


install:	all
	/usr/bin/install -d $(PREFIX)/bin
	/usr/bin/install -m 755 jmeters $(PREFIX)/bin
	/usr/bin/install -d $(SHARED)/jmeters
	/usr/bin/install -m 644 ../share/* $(SHARED)/jmeters

clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f jmeters


tarball:
	cd ../..; \
	/bin/rm -f -r $(DISTDIR); \
	svn export jmeters $(DISTDIR); \
	tar cvjf $(DISTDIR).tar.bz2 $(DISTDIR); \
	/bin/rm -f -r $(DISTDIR);

=== debian/changelog ===
jmeters (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #636535)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 03 Aug 2011 04:07:19 +0200

=== debian/control ===
Source: jmeters
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 7.0.50~),
 libclthreads-dev (>= 2.2.1),
 libclxclient-dev (>= 3.3.2),
 libjack-dev,
 libsndfile1-dev,
 libpng12-dev
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/jmeters.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jmeters.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html

Package: jmeters
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: multichannel audio level meter
 A jmeters is multichannel audio level meter
 for Jack Audio Connection Kit.
 It uses the same pixmaps as meterbridge.
 The main difference to meterbridge is that jmeters has the
 correct ballistics for both the VU and the PPM.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,--as-needed

%:
	dh --sourcedir=source $@

override_dh_installchangelogs:
	dh_installchangelogs README

override_dh_auto_install:
	dh_auto_install
	install -d $(CURDIR)/debian/jmeters/usr/share/applications/
	install -d $(CURDIR)/debian/jmeters/usr/share/pixmaps/
	install -m 644 $(CURDIR)/debian/*.desktop $(CURDIR)/debian/jmeters/usr/share/applications/
	install -m 644 $(CURDIR)/debian/*.xpm $(CURDIR)/debian/jmeters/usr/share/pixmaps/

## jmeters 0.2.1

=== source/Makefile ===
--- 
+++ 
@@ -20,19 +20,20 @@
 LIBDIR = lib$(SUFFIX)
 SHARED = $(PREFIX)/share
 PROGRAM = jmeters
-VERSION = 0.2.0
+VERSION = 0.2.1
 DISTDIR = jmeters-$(VERSION)
-CPPFLAGS += -O3 -Wall -MMD -MP -DPROGRAM=\"$(PROGRAM)\" -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
-#CPPFLAGS += -march=pentium4
+CPPFLAGS += -DPROGRAM=\"$(PROGRAM)\" -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
+CXXFLAGS += -O3 -Wall -MMD -MP
+CXXFLAGS += -march=native
 
 
 all:	jmeters
 
 
-JMETERS_O = jmeters.o styles.o mainwin.o jclient.o mkimage.o meterwin.o
+JMETERS_O = jmeters.o styles.o mainwin.o jclient.o png2img.o meterwin.o
 
 jmeters:	CPPFLAGS += -ffast-math -I/usr/include/freetype2
-jmeters:	LDLIBS += -lsndfile -lclxclient -lclthreads -ljack -lpng -lXft -lX11 -lrt
+jmeters:	LDLIBS += -lsndfile -lclxclient -lclthreads -ljack -lpthread -lpng -lXft -lX11 -lrt
 jmeters:	LDFLAGS += -L/usr/X11R6/lib
 jmeters:	$(JMETERS_O)
 	g++ $(LDFLAGS) -o $@ $(JMETERS_O) $(LDLIBS)
@@ -42,10 +43,10 @@
 
 
 install:	all
-	/usr/bin/install -d $(PREFIX)/bin
-	/usr/bin/install -m 755 jmeters $(PREFIX)/bin
-	/usr/bin/install -d $(SHARED)/jmeters
-	/usr/bin/install -m 644 ../share/* $(SHARED)/jmeters
+	install -d $(PREFIX)/bin
+	install -m 755 jmeters $(PREFIX)/bin
+	install -d $(SHARED)/jmeters
+	install -m 644 ../share/* $(SHARED)/jmeters
 
 clean:
 	/bin/rm -f *~ *.o *.a *.d *.so

=== debian/changelog ===
jmeters (0.2.1-2) unstable; urgency=low

  * Team upload.
  * Don't build with -march=native. Thanks to peter green for the
    patch. (Closes: #667649)

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 Apr 2012 23:42:30 +0200

jmeters (0.2.1-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Updated copyright file to format 1.0.
  * Bump Standards to 3.9.3
  * Change build-dependency from libpng12-dev to libpng-dev.

  [ Alessio Treglia ]
  * New upstream release.
  * Drop 02-build_with_new_libpng.patch, adopted upstream.
  * Refresh patches.
  * Set PREFIX to /usr in debian/rules.
  * Depends on jackd.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 05 Apr 2012 11:02:42 +0200

=== debian/control ===
Source: jmeters
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 7.0.50~),
 libclthreads-dev (>= 2.2.1),
 libclxclient-dev (>= 3.3.2),
 libjack-dev,
 libpng-dev,
 libsndfile1-dev
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-multimedia/jmeters.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jmeters.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html

Package: jmeters
Architecture: any
Depends:
 jackd,
 ${misc:Depends},
 ${shlibs:Depends}
Description: multichannel audio level meter
 A jmeters is multichannel audio level meter
 for Jack Audio Connection Kit.
 It uses the same pixmaps as meterbridge.
 The main difference to meterbridge is that jmeters has the
 correct ballistics for both the VU and the PPM.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 
 LDFLAGS+=-Wl,--as-needed
+export PREFIX=/usr
 
 %:
 	dh --sourcedir=source $@

## jmeters 0.4.1

=== source/Makefile ===
# ----------------------------------------------------------------------
#
#  Copyright (C) 2008-2012 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# ----------------------------------------------------------------------


PROGRAM = jmeters
PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
BINDIR = $(PREFIX)/bin
SHARED = $(PREFIX)/share/$(PROGRAM)
VERSION = 0.4.1
CPPFLAGS += -DPROGRAM=\"$(PROGRAM)\" -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
CXXFLAGS += -O3 -Wall -MMD -MP
CXXFLAGS += -march=native


all:	jmeters


JMETERS_O = jmeters.o styles.o mainwin.o jclient.o png2img.o meterwin.o \
	vumeterdsp.o iec1ppmdsp.o iec2ppmdsp.o stcorrdsp.o

jmeters:	CPPFLAGS += -ffast-math -I/usr/include/freetype2
jmeters:	LDLIBS += -lsndfile -lclxclient -lclthreads -ljack -lpthread -lcairo -lpng -lXft -lX11 -lrt
jmeters:	LDFLAGS += -L/usr/X11R6/lib
jmeters:	$(JMETERS_O)
	g++ $(LDFLAGS) -o $@ $(JMETERS_O) $(LDLIBS)

$(JMETERS_O):
-include $(JMETERS_O:%.o=%.d)


install:	all
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 jmeters $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(SHARED)
	install -m 644 ../share/* $(DESTDIR)$(SHARED)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/jmeters
	rm -rf $(DESTDIR)$(SHARED)

clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f jmeters

=== debian/changelog ===
jmeters (0.4.1-3build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:50:12 +0000

jmeters (0.4.1-3) unstable; urgency=low

  * Tighten build-dep on libclxclient.
  * Tighten build-dep on libclthreads.
  * Don't sign tags.
  * Added Keywords entry to desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 07 Aug 2013 00:24:57 +0200

jmeters (0.4.1-2) unstable; urgency=low

  * Bump Standards.
  * Add VCS canonical URLs.
  * Remove obsolete DMUA.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 09 May 2013 16:36:04 +0200

jmeters (0.4.1-1) experimental; urgency=low

  * New upstream release.
  * libcairo2-dev added as build dependency.
  * Set dh/compat 9
  * Fixed command in desktop/menu file.
    New release have diferent options.
  * Updated man pages.  

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 08 Nov 2012 02:32:36 +0100

=== debian/control ===
Source: jmeters
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 9),
 libclthreads-dev (>= 2.4.0),
 libclxclient-dev (>= 3.9.0),
 libjack-dev,
 libpng-dev,
 libsndfile1-dev,
 libcairo2-dev
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/jmeters.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/jmeters.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html

Package: jmeters
Architecture: any
Depends:
 jackd,
 ${misc:Depends},
 ${shlibs:Depends}
Description: multichannel audio level meter
 A jmeters is multichannel audio level meter
 for Jack Audio Connection Kit.
 It uses the same pixmaps as meterbridge.
 The main difference to meterbridge is that jmeters has the
 correct ballistics for both the VU and the PPM.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PREFIX=/usr
 
 %:
-	dh --sourcedir=source $@
+	dh $@ --sourcedir=source
 
 override_dh_installchangelogs:
 	dh_installchangelogs README

## jmeters 0.4.5

=== source/Makefile ===
# ----------------------------------------------------------------------
#
#  Copyright (C) 2008-2018 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# ----------------------------------------------------------------------


PROGRAM = jmeters
PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
SHARED ?= $(PREFIX)/share/$(PROGRAM)

VERSION = 0.4.5
CPPFLAGS +=  -MMD -MP -DPROGRAM=\"$(PROGRAM)\" -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
CXXFLAGS += -O2 -Wall
CXXFLAGS += -march=native


all:	jmeters


JMETERS_O = jmeters.o styles.o mainwin.o jclient.o png2img.o meterwin.o \
	vumeterdsp.o iec1ppmdsp.o iec2ppmdsp.o stcorrdsp.o

jmeters:	CPPFLAGS += $(shell pkgconf --cflags freetype2)
jmeters:	LDLIBS += -lsndfile -lclxclient -lclthreads -ljack -lpthread \
	-lcairo -lpng -lXft -lX11 -lrt
jmeters:	$(JMETERS_O)
	$(CXX) $(LDFLAGS) -o $@ $(JMETERS_O) $(LDLIBS)
$(JMETERS_O):
-include $(JMETERS_O:%.o=%.d)


install:	all
	rm -rf $(DESTDIR)$(SHARED)
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(SHARED)
	install -m 755 jmeters $(DESTDIR)$(BINDIR)
	install -m 644 ../share/* $(DESTDIR)$(SHARED)


uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/jmeters
	rm -rf $(DESTDIR)$(SHARED)


clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f jmeters

=== debian/changelog ===
jmeters (0.4.5-1) unstable; urgency=medium

  [ Olivier Humbert ]
  * d/jmeters.desktop: Add a French translation for the menu item and comment
  * d/copyright: Update year, http > https & add myself in the debian section
  * d/control: Rework the long description & http > https
  * d/watch: http > https

  [ Felipe Sateler ]
  * d/control: Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use dh-compat instead of debian/compat
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Dennis Braun ]
  * New upstream release
  * d/control:
    + Bump dh-compat to 12
    + Bump Standards-Version to 4.5.0
    + Add libfreetype6-dev and pkg-config to B-D
    + Set RRR: no
    + Add me as uploader
  * d/copyright: Update year & add myself
  * d/docs: Fix path for installation
  * d/jmeters.manpages: Fix path for installation
  * d/patches: Refresh patch, add pkgconf fix
  * d/rules: Add pkgconf export and fix docs installation
  * d/source/local-options: Drop, obsolete

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 15 Feb 2020 20:46:44 +0100

jmeters (0.4.1-4) unstable; urgency=medium

  * Set dh 10.
  * Update copyright file.
  * Sign tags.
  * Drop menu file.
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Dec 2016 21:16:15 +0100

=== debian/control ===
Source: jmeters
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <d_braun@kabelmail.de>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper-compat (= 12),
 libclthreads-dev (>= 2.4.0),
 libclxclient-dev (>= 3.9.0),
 libjack-dev,
 libpng-dev,
 libsndfile1-dev,
 libcairo2-dev,
 libfreetype6-dev,
 pkg-config
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/jmeters.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/jmeters
Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html
Rules-Requires-Root: no

Package: jmeters
Architecture: any
Depends:
 jackd,
 ${misc:Depends},
 ${shlibs:Depends}
Description: multichannel audio level meter
 A jmeters is multichannel audio level meter for Jack Audio Connection Kit. It
 uses the same pixmaps as meterbridge. The main difference to meterbridge is
 that jmeters has the correct ballistics for both the VU and the PPM.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,14 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-LDFLAGS+=-Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export LDLIBS += -Wl,--as-needed
+
+include /usr/share/dpkg/buildtools.mk
+
 export PREFIX=/usr
+export PKG_CONF=$(PKG_CONFIG)
+
 
 %:
 	dh $@ --sourcedir=source

=== debian/watch ===
version=3

https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	jmeters-(.*)\.tar\.bz2
